%define name gkrellm
%define version 1.0.7
%define release 1mdk

Name:		%{name}
Summary:	Multiple stacked system monitors: 1 process.
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Monitoring
BuildRequires:	XFree86-devel imlib-devel
URL:		http://gkrellm.net/
Source0:	%{name}-%{version}.tar.bz2
Source1:	gkrellm_16.xpm.bz2
Source2:	gkrellm_32.xpm.bz2
Source3:	gkrellm_48.xpm.bz2
Requires:	gtk+ >= 1.2, glib >= 1.2, imlib
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}/X11R6

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.

%package devel
Summary:	gkrellm include files
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
gkrellm header files for gkrellm development and plugin support.

%prep
%setup -q

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
%make


%install
mkdir -p %{buildroot}%{prefix}/bin
make install INSTALLDIR=%{buildroot}%{prefix}/bin \
  INCLUDEDIR=%{buildroot}%{_includedir} MANDIR=%{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}/usr/share/%{name}/plugins

mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
mkdir -p %{buildroot}%{_miconsdir}

bzcat %{SOURCE1} > %{buildroot}%{_iconsdir}/gkrellm.xpm
bzcat %{SOURCE2} > %{buildroot}%{_liconsdir}/gkrellm.xpm
bzcat %{SOURCE3} > %{buildroot}%{_miconsdir}/gkrellm.xpm

(cd %{buildroot}
mkdir -p .%{_libdir}/menu
cat > .%{_libdir}/menu/gkrellm <<EOF
?package(gkrellm):\
command="%{prefix}/bin/gkrellm"\
title="Gkrellm"\
longtitle="a gtk-based monitoring app"\
needs="x11"\
section="Applications/Monitoring" \
icon="gkrellm.xpm"
EOF
)    


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%update_menus
   
%postun
%clean_menus


%files
%defattr(-,root,root,0755)
%doc COPYRIGHT Changelog INSTALL README *.html gkrellmrc
%{prefix}/bin/gkrellm
%dir %{_datadir}/gkrellm/plugins
%{_libdir}/menu/*
%{_iconsdir}/gkrellm.xpm
%{_liconsdir}/gkrellm.xpm
%{_miconsdir}/gkrellm.xpm
%{_mandir}/man1/gkrellm.1*

%files devel
%defattr(-,root,root,0755)
%{_includedir}/gkrellm/*


%changelog
* Wed Mar 14 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7

* Wed Jan 31 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6

* Tue Jan 23 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5

* Tue Jan 16 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4

* Sun Jan 07 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Wed Nov 15 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Mon Nov  6 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-2mdk
- rebuild for new libstdc++

* Thu Oct 20 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Fri Oct 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Fri Oct 06 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.5-3mdk
- added missing icons

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.10.5-2mdk
- automatically added BuildRequires

* Mon Aug 07 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.5-1mdk
- 0.10.5
- more macros
- added requires version for gkrellm-devel
- move include dir from /usr/X11R6/include to /usr/include

* Wed Jul 12 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.10.4-1mdk
- 0.10.4
- macroization
- move plugins to their own RPM
- add devel package

* Wed Jul 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.10.2-1mdk
- v 0.10.2

* Wed May 24 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.9.10-1mdk
- 0.9.10
- bzip2 patches
- comment out all plugins since they refuse to compile

* Tue Apr 25 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.9.8-1mdk
- 0.9.8
- Added gkrellmms plugin by Sander Lebbink <sander@cerberus.demon.nl>

* Mon Apr 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-1mdk
- fix group
- add menu entry

* Fri Mar 24 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.7

* Sun Mar 12 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.6
- Added seti@home plugin by Henry Palonen <henkka@yty.net>
- Added plugin to to display fan speeds by Jarkko Lietolahti <jappe@iki.fi>
- since plugins (currently) need to be in ~/.gkrellm/plugins, you must
  symlink to the plugins in /usr/share/gkrellm/plugins

* Fri Mar 3 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.5

* Mon Feb 28 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.4
- libgtop is no longer required

* Thu Feb 24 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.3

* Wed Feb 23 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.1

* Tue Feb 22 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.9.0
- libgtop-devel is now required but it seems to be broken as the
  glibtop-config.h is in /usr/lib/libgtop/include and not /usr/include/ like
  it should be (you must manually copy before building the RPM)

* Sun Feb 13 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.8.1

* Mon Dec 06 1999 Lenny Cartier <lenny@mandrakesoft.com>
- 0.7.5

* Fri Nov 19 1999 Lenny Cartier <lenny@mandrakesoft.com>
- New in contrib
- Used the SRPMS provided by Vincent Danen
- bz2 archive
- 0.7.4

* Wed Nov 17 1999 Vincent Danen <vdanen@linux-mandrake.com>
- updated specfile for Mandrake contribution

* Thu Nov 11 1999 Vincent Danen <vdanen@softhome.net>
- wrote spec file
- 0.7.3
